%global _missing_build_ids_terminate_build 0
%global debug_package %{nil}

# If no PHP_VERSION macro provided externally, use version shipped with Rocky/Oracle/RHEL 8 at the time of this writing
%{!?PHP_VERSION: %define PHP_VERSION 8.2.13}

# Fallback to anything, date provided externally
%{!?RELEASE_NUMBER: %define RELEASE_NUMBER 1}

# rpmbuild is capable to download source from URL but disabled by default
%undefine _disable_source_fetch


Name: php-sodium
Version: %{PHP_VERSION}
Release: %{RELEASE_NUMBER}.el8
BuildRequires: autoconf, libtool, make, automake, php-devel, gcc, libsodium, pkg-config, libsodium-devel
Requires: php(api) >= 20220829, php(zend-abi) >= 20220829, libsodium
Provides: php-sodium
Summary: Sodium extension for PHP
License: PHP

Source0: https://github.com/php/php-src/archive/refs/tags/php-%{PHP_VERSION}.tar.gz

%description 
Sodium extension for PHP

%prep
%setup -n php-src-php-%{PHP_VERSION}

%build
pushd ext/sodium > /dev/null
    phpize
    ./configure
    make
    echo 'n' | make test
popd > /dev/null

%pre

%install
mkdir -p %{buildroot}%{_libdir}/php/modules
install ext/sodium/modules/sodium.so %{buildroot}%{_libdir}/php/modules/sodium.so
mkdir -p %{buildroot}/etc/php.d
touch %{buildroot}/etc/php.d/40-sodium.ini
echo "extension=sodium.so" > %{buildroot}/etc/php.d/40-sodium.ini

%post

%files
%{_libdir}/php/modules/sodium.so
%{_sysconfdir}/php.d/40-sodium.ini

%changelog
